<template>
  <div>
    <div v-if='routeName=="showLogin"'>
        <router-view></router-view>
    </div>
    <div v-else-if='routeName=="showRegister" || routeName=="showDashboard"'>
        <div class="page-wrapper">
            <div class="page-inner bg-brand-gradient">
                <div class="page-content-wrapper bg-transparent m-0">
                    <Topnav/>
                    <router-view></router-view>
                </div>
            </div>
        </div>
    </div>
    <div v-else>
        <!-- BEGIN Page Wrapper -->
        <div class="page-wrapper">
            <div class="page-inner">
                <!-- BEGIN Left Aside -->
                <Sidenav/>
                <!-- END Left Aside -->
                <div class="page-content-wrapper">
                <!-- BEGIN Page Header -->
                <Topnav/>
                <!-- END Page Header -->
                <!-- BEGIN Page Content -->
                <!-- the #js-page-content id is needed for some plugins to initialize -->
                <router-view></router-view>
                <!-- this overlay is activated only when mobile menu is triggered -->
                <div class="page-content-overlay" data-action="toggle" data-class="mobile-nav-on"></div> <!-- END Page Content -->
                </div>
            </div>
        </div>
        <!-- END Page Wrapper -->
    </div>
  </div>
</template>

<script>
    export default {
        name: 'App',
        data() {
            return {
                routeName:''
            }
        },
        created(){
            this.$session.start()
            this.$routeName = this.$route.name
            this.routeName = this.$routeName
        },
        watch:{
            $route()
            {
                this.$routeName = this.$route.name
                this.routeName = this.$routeName
            }
        },
    }
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
